Bug 122539 - pxeos as a command line doesn't work
pxeos as a command line doesn't work
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pxe (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 12:49 EDT by Leah
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-27 16:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leah 2004-05-05 12:49:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
From the documentation, <http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/sysadmin-guide/s1-netboot-pxe-config.html>, pxeos is a command line configuration, but this doesn't work. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. running pxeos in text mode

Actual Results:  pxeos doesn't work in command line 

Expected Results:  pxeos is a command line configuration, but this doesn't work in text mode command line.

Additional info:
Comment 1 Leah 2004-05-18 19:44:05 EDT
any update on this?

Comment 2 Daniel Walsh 2004-06-10 15:06:51 EDT
I just tried it and found a couple of problems with
Internationilzation calls but it worked for me.  What is the problem
you are having.

Usage bugs fixed in system-config-netboot-0.1.3-6.src.rpm
Comment 3 Leah 2004-06-16 12:33:04 EDT
the pxeos is a command line configuration. When this command was 
used, it doesn't work. 
Is it right that system-config-netboot-0.1.3-6.src.rpm fixed the 
usage bugs.  But there is no such package from RHEL 3, and I saw 
this from Fedora.  Can we used this for RHEL 3 or would there be a 
future bug fix for RHEL 3? 
Comment 4 Daniel Walsh 2004-06-16 12:54:05 EDT
This package should work fine for RHEL3
Comment 5 thewolf 2004-08-21 07:33:21 EDT
I have the same problem, I am running RHEL3ES U2 and when I try to
execute "pxeos" from the command line I get the following error message:

# pxeos -l
Unable to initialize graphical environment. Most likely cause of failure
is that the tool was not run using a graphical environment. Please either
start your graphical user interface or set your DISPLAY variable. 
Caught exception: could not open display

Are you working on a fix for this?
Comment 6 Andrew Robinson 2004-09-22 11:39:06 EDT
I'm running RHEL3AS U3 within VMWare. When I run "pxeos -l" (or 
pxeos -{anything}) on a server without X installed, I get the same 
error as thewolf. When I run it on a server with X installed, it 
works fine.
Comment 7 thewolf 2004-09-26 02:27:43 EDT
is anyone going to fix this bug?

Comment 8 Daniel Walsh 2004-09-27 07:17:02 EDT
system-config-netboot-0.1.4 has this fix.  I will work to get this
into the next RHEL3 update.
Comment 9 thewolf 2004-10-27 09:59:33 EDT
it looks like the system-config-netbook package is for Fedora Core,
while the redhat-config-netboot package is for RH Enterprise Linux.

Do you have a fixed RPM for RHEL?


Note You need to log in before you can comment on or make changes to this bug.